import { library } from '@fortawesome/fontawesome-svg-core'
import { faQuoteLeft } from '@fortawesome/free-solid-svg-icons'

library.add(faQuoteLeft)

const QuoteButton = {
  name: 'QuoteButton',
  props: ['status', 'quoting', 'visibility'],
  computed: {
    isOwn () {
      return this.status.user.id === this.$store.state.users.currentUser.id
    },
    loggedIn () {
      return !!this.$store.state.users.currentUser
    }
  }
}

export default QuoteButton
